Bug 83447 - Anaconda still gets i2o (eg Promise Supertrak raid) wrong
Summary: Anaconda still gets i2o (eg Promise Supertrak raid) wrong
Status: CLOSED DUPLICATE of bug 68796
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-04 15:49 UTC by Alan Cox
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:51:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2003-02-04 15:49:18 UTC
Description of problem:

Install the beta on a box with an i2o controller. The install now does the right
thing.
After the install the boot fails with module errors.

How reproducible:

100%

Steps to Reproduce:
1. install beta on box with i2o controller rootfs
2. reboot after install
    
Actual results:

i2o_pci is loaded in the initrd before i2o_core, but needs it. This causes
module load
failures 'unable to find root' and a panic. Not sure if thats my fault for
giving you a wrong
ordering at some point or just a confusion somewhere

Expected results:

The initrd loads i2o_core, i2o_pci, i2o_block and life is good

Comment 1 Jeremy Katz 2003-02-04 17:42:25 UTC
Fixed in mkinitrd-3.4.40-1

Comment 2 Brent Fox 2003-05-25 14:57:44 UTC
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Comment 3 Alan Cox 2003-05-25 18:44:25 UTC
Still present in alpha1

Comment 4 Michael Fulbright 2003-05-27 18:45:19 UTC
Jeremy do we ever write the initrd these days or do we let the kernel pkg do it?

Comment 5 Jeremy Katz 2003-05-27 18:52:01 UTC
mkinitrd does it, but it really should be getting the order right.  
    if [ "$modName" = "i2o_block" ]; then
	findmodule i2o_core
	findmodule i2o_pci
	modName="i2o_block"
    fi

Does the linuxrc actually have i2o_pci and i2o_core reversed?  Also, what does
the modules.conf look like?

Comment 6 Michael Fulbright 2003-06-18 20:47:12 UTC
Closing due to inactivity - please reopen if you have additional information to add.

Comment 7 Alan Cox 2003-06-20 15:13:48 UTC

*** This bug has been marked as a duplicate of 68796 ***

Comment 8 Red Hat Bugzilla 2006-02-21 18:51:35 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.